import QtQuick 2.4
import QtQuick.Window 2.2
import QtQuick.Controls 1.2

ApplicationWindow {
    id: mainWindow
    width: 1024
    height: 768
    visible: true
    flags: Qt.WindowTransparentForInput
    color: "transparent"

    Repeater {
        model: 10
        delegate: Rectangle {
            width: 50
            height: 50
            radius: 25
            y: Math.random(index/10.0) * mainWindow.height
            x: Math.random(index/10.0) * mainWindow.width
            color: "red"
        }
    }
}
